> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/v3.0/wisej.web/containers/wisej.web.groupbox.md).

# GroupBox

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.0.0.0)

* [Control](/api/v3.0/wisej.web/general/control.md)
  * [GroupBox](/api/v3.0/wisej.web/containers/wisej.web.groupbox.md)

Represents a Wisej control that displays a frame around a group of controls with an optional caption.

{% tabs %}
{% tab title="C#" %}

```csharp
public class GroupBox : Control
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class GroupBox
    Inherits Control
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/uCY6T77rh488FWHzpJ6P)GroupBox()

Initializes a new instance of the [GroupBox](/api/v3.0/wisej.web/containers/wisej.web.groupbox.md) class.

## Properties

### ![](/files/uCY6T77rh488FWHzpJ6P)AllowHtml

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets a value indicating that the control can display html in the Text property.

### ![](/files/uCY6T77rh488FWHzpJ6P)AutoSize

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets a value that indicates whether the [GroupBox](/api/v3.0/wisej.web/containers/wisej.web.groupbox.md) resizes based on its contents.

### ![](/files/uCY6T77rh488FWHzpJ6P)AutoSizeMode

[AutoSizeMode](/api/v3.0/wisej.web/enumerations/wisej.web.autosizemode.md): Returns or sets the mode by which the [Button](/api/v3.0/wisej.web/buttons/button.md) automatically resizes itself.

### ![](/files/uCY6T77rh488FWHzpJ6P)Checked

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Gets or sets whether the checkbox next to the group box title is checked or unchecked.

### ![](/files/uCY6T77rh488FWHzpJ6P)Collapsed

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets a value that indicates whether the [GroupBox](/api/v3.0/wisej.web/containers/wisej.web.groupbox.md) is collapsed or expanded.

### ![](/files/uCY6T77rh488FWHzpJ6P)DisplayRectangle

[Rectangle](https://docs.microsoft.com/en-us/dotnet/api/system.drawing.rectangle): Returns a rectangle that represents the inner dimensions of the [GroupBox](/api/v3.0/wisej.web/containers/wisej.web.groupbox.md) control.

### ![](/files/uCY6T77rh488FWHzpJ6P)RightToLeftLayout

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Enables or disables right-to-left layout when the value of [RightToLeft](#righttoleft) is [Yes](/api/v3.0/wisej.web/enumerations/wisej.web.righttoleft.md#fields)

### ![](/files/uCY6T77rh488FWHzpJ6P)ShowCheckBox

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Gets or sets whether the group box shows a checkbox next to the text.

### ![](/files/uCY6T77rh488FWHzpJ6P)ShowCloseButton

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets a value that indicates the [GroupBox](/api/v3.0/wisej.web/containers/wisej.web.groupbox.md) displays the open/close button next to the title.

### ![](/files/uCY6T77rh488FWHzpJ6P)UseMnemonic

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets whether the first character that is preceded by an ampersand (&) is used as the mnemonic key of the control.

## Events

### ![](/files/uCY6T77rh488FWHzpJ6P)CheckedChanged

[EventHandler](https://docs.microsoft.com/en-us/dotnet/api/system.eventhandler) Fired when the value of the [Checked](#checked) property changes.

### ![](/files/uCY6T77rh488FWHzpJ6P)GroupBoxCollapsed

[EventHandler](https://docs.microsoft.com/en-us/dotnet/api/system.eventhandler) Fired when the groupbox is collapsed.

### ![](/files/uCY6T77rh488FWHzpJ6P)GroupBoxExpanded

[EventHandler](https://docs.microsoft.com/en-us/dotnet/api/system.eventhandler) Fired when the groupbox is expanded.

### ![](/files/uCY6T77rh488FWHzpJ6P)RightToLeftLayoutChanged

[EventHandler](https://docs.microsoft.com/en-us/dotnet/api/system.eventhandler) Fired when the value of the [RightToLeftLayout](#righttoleftlayout) property changes.

## Implements

| Name                                                                                   | Description                                                                                                                |
| -------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------- |
| [IBindableComponent](/api/v3.0/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                              |
| [IWisejComponent](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                             |
| [IWisejControl](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/v3.0/wisej.web/general/control.md) class must implement this interface. |
| [IWisejSerializable](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.web/containers/wisej.web.groupbox.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
